Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231722 - Dies in threading module....
Summary: Dies in threading module....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bittorrent
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 19:22 UTC by Tom London
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 13:37:34 UTC


Attachments (Terms of Use)

Description Tom London 2007-03-10 19:22:57 UTC
Description of problem:

[tbl@localhost ~]$ python  /usr/bin/bittorrent
>>> unable to setrlimit  not allowed to raise maximum limit
Exception in thread bittorrent:263 in <module>:
threading.Thread(target=init_core, args=(mainloop,)).start():
Traceback (most recent call last):
  File "/usr/bin/bittorrent", line 263, in <module>
    threading.Thread(target=init_core, args=(mainloop,)).start()
  File "/usr/bin/bittorrent", line 215, in init_core
    init_torrents=False)
  File "/usr/lib/python2.5/site-packages/BitTorrent/MultiTorrent.py", line 167,
in __init__
    self._restore_state(init_torrents)
  File "/usr/lib/python2.5/site-packages/BitTorrent/MultiTorrent.py", line 823,
in _restore_state
    t = decode_line(line)
  File "/usr/lib/python2.5/site-packages/BitTorrent/MultiTorrent.py", line 758,
in decode_line
    t.working_path = t.working_path.decode('utf-8')
  File "/usr/lib/python2.5/site-packages/BitTorrent/Torrent.py", line 268, in
_set_working_path
    self.config['working_path'] = value
  File "/usr/lib/python2.5/site-packages/BitTorrent/prefs.py", line 50, in
__setitem__
    isinstance(value, str), "'%s' is not str" % option
AssertionError: 'working_path' is not str
non-daemon threads not shutting down in a timely fashion:
  <StackThread(disk_thread-1, started)>
  <StackThread(disk_thread-2, started)>
  <StackThread(disk_thread-3, started)>
You have no chance to survive make your time.
Killed
[tbl@localhost ~]$ 



Version-Release number of selected component (if applicable):
bittorrent-5.0.5-2.fc7

How reproducible:
Every time

Steps to Reproduce:
1. 'bittorrent' from terminal
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Paul Howarth 2007-03-11 13:46:31 UTC
Bittorrent on rawhide has been downgraded from 5.0.5 back to 4.4.0, which is
more stable. You need to do this downgrade manually, e.g. by removing bittorrent
and re-installing, or by downloading the package and installing using "rpm -Uvh
--oldpackage ..."

Comment 2 Tom London 2007-03-11 16:55:10 UTC
Thanks. 4.4.0 works.

You want this closed?

Comment 3 Paul Howarth 2007-03-12 07:18:36 UTC
Yes please, if you're happy.


Note You need to log in before you can comment on or make changes to this bug.